
ChiliProject - Bug # 1122: Git repositories are only shown when www-data is owner

Status: Closed Priority: Normal
Author: Kaspar Fischer Category:
Created: 2012-08-16 Assignee:
Updated: 2012-08-16 Due date:
Remote issue URL:
Affected version: 3.3.0
Description: Steps to reproduce:

1. Add a local, bare Git repository on the server running ChiliProject, say: /home/git/repositories/my.git.
2. chmod -R a+r /home/git/repositories/my.git
3. Create a new project and add a Git repository, with the path "/home/git/repositories/my.git".
4. View the repository.

Results:

You get a 404 with an error message like "The entry or revision was not found in the repository."

Expected results:

You would see the contents of the repo.

Fix:

If you change the owner of the repo using

  chown -R www-data /home/git/repositories/my.git

you get the expected result. However, I cannot do this in my set up because of security reasons.

Shouldn't read permission be enough?

Associated revisions
2008-04-30 10:51 am - Jean-Philippe Lang 
Fixed: Home, Logout, Login links are absolute (#1122, #1145).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1384 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-08-16 05:09 pm - Holger Just
- Status changed from Open to Needs more information

For ChiliProject (or any process that is) to be able to change into a directory, you also need to grant it execute permissions on the directories (not the 
files). You can achieve that by using

<pre>chmod -R a+rX /home/git/repositories/my.git</pre>

(note the capital X)

With these permissions in place (and assuming the user can read and execute all directories above), ChiliProject should be able to read your repo.
Please try that again and report back.

2012-08-16 05:32 pm - Kaspar Fischer
- Status changed from Needs more information to Closed

Dear Holger,

Thanks for the immediate reply and the detailed answer. You are completely right, it was the execute permission that was missing, how embarrassing!

I could have sworn I checked this.

I appreciate your help.
